## xdoclet.modules.jdo
Class JdoDocletTask.JdoSpecVersion

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.jdo.JdoDocletTask.JdoSpecVersion

Enclosing class:
  JdoDocletTask

public static class JdoDocletTask.JdoSpecVersion
extends org.apache.tools.ant.types.EnumeratedAttribute

Author:
  Ludovic Claude (ludovicc@users.sourceforge.net)
created
  June 11, 20012

Field Summary
`static String` `JDO_1_0`
`static String` `JDO_2_0`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`JdoDocletTask.JdoSpecVersion()`

Method Summary
`String[]` `getValues()` Gets the Values attribute of the JdoSpecVersion object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JDO_1_0

    public static final String JDO_1_0

See Also:
  Constant Field Values

### JDO_2_0

    public static final String JDO_2_0

See Also:
  Constant Field Values

Constructor Detail

### JdoDocletTask.JdoSpecVersion

    public JdoDocletTask.JdoSpecVersion()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the JdoSpecVersion object

  Returns:
    The Values value

http://xdoclet.sourceforge.net/